org.apache.sysds.api.mlcontext

## Class FrameSchema

- java.lang.Object
- - org.apache.sysds.api.mlcontext.FrameSchema

-     public class FrameSchema
      extends Object

  The frame schema, stored as a list of `ValueType` values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameSchema()`
    `FrameSchema(List<Types.ValueType> schema)` Constructor that specifies the schema as a list of `ValueType` values.
    `FrameSchema(String schema)` Constructor that specifies the schema as a comma-separated string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Types.ValueType>` | `getSchema()` Obtain the frame schema
    `String` | `getSchemaAsString()` Obtain the schema as a comma-separated string
    `void` | `setSchema(List<Types.ValueType> schema)` Set the frame schema
    `void` | `setSchemaAsString(String schema)` Set the frame schema, specifying the frame schema as a comma-separated string

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameSchema

          public FrameSchema()

    - #### FrameSchema

          public FrameSchema(List<Types.ValueType> schema)

      Constructor that specifies the schema as a list of `ValueType` values.
      Parameters:
        `schema` - the frame schema

    - #### FrameSchema

          public FrameSchema(String schema)

      Constructor that specifies the schema as a comma-separated string.
      Parameters:
        `schema` - the frame schema as a string

  - ### Method Detail

    - #### getSchema

          public List<Types.ValueType> getSchema()

      Obtain the frame schema
      Returns:
        the frame schema as a list of `ValueType` values

    - #### setSchema

          public void setSchema(List<Types.ValueType> schema)

      Set the frame schema
      Parameters:
        `schema` - the frame schema

    - #### setSchemaAsString

          public void setSchemaAsString(String schema)

      Set the frame schema, specifying the frame schema as a comma-separated string
      Parameters:
        `schema` - the frame schema as a string

    - #### getSchemaAsString

          public String getSchemaAsString()

      Obtain the schema as a comma-separated string
      Returns:
        the frame schema as a string

Copyright © 2021 The Apache Software Foundation. All rights reserved.